<!DOCTYPE html>
<html>
<head>

  <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='resifsi.css') }}">
	<title>Documentation</title>
	<meta charset="utf-8">
</head>
<body>
  <div class="main">

  <img src="{{ url_for('static',filename='image/logoresif.png') }}">

  <h1> Transaction webservice</h1>
  <div> 

      		<p class="intro">&nbsp;&nbsp;  The transaction webservice  allows to retrieve information about the data integration transactions of Nodes A. There are three detail levels:
      		<ol>
      		<li><b>Transaction level</b> : With this level general  transactions informations are requested. </li>
      		<li><b>File level</b> : With file level, we will have informations about the files of the transaction "transcationsid".The transactionid argument is mandatory.</li>
      		<li><b>Content level</b> : Displays the XML file of the transaction. The transactionid argument is mandatory.</li>
      		</ol>
          <br>A query without parameters returns the hundred last transactions.
          </p>
    <h3> Overview of request parameters </h3>
           <p class="intro">The request parameters for service are summarized in table below.</p> 
           <br>
 		  	<table class="table2">
 		  		<thead>
 		  			<tr>
 		  				<th>Parameter</th>
 		  				<th>Required</th>
 		  				<th>Description</th>
 		  				<th>Values (default)</th>
 		  			</tr>
 		  		</thead>
 		  		<tbody>
 		  			<tr>
 		  				<td >starttime</td>
 		  				<td >NO</td>
 		  				<td >Transaction limit date at or after the specific start time</td>
 		  				<td >YYYY-MM-DDTHH:MM:SS (-)</td>
 		  			</tr>
 		  			<tr>
 		  				<td >endtime</td>
 		  				<td >NO</td>
 		  				<td >Limit  transaction date at or before the specific end time</td>
 		  				<td >YYYY-MM-DDTHH:MM:SS (-)</td>
 		  			</tr>
					<tr>
 		  				<td >node</td>
 		  				<td >NO</td>
 		  				<td >Node name in capital letters</td>
 		  				<td >OMIV, IPGP, RAP, SISMOB, DASE, RLBP-OCA, RLBP</td>
 		  			</tr>
					<tr>
 		  				<td >network</td>
 		  				<td >NO</td>
 		  				<td >FDSN network code</td>
 		  				<td > Network codes list is available<a href="http://seismology.resif.fr/#NetworkConsultPlace:"> here </a></td>
 		  			</tr>
					<tr>
 		  				<td >status</td>
 		  				<td >NO</td>
 		  				<td >Transaction status</td>
 		  				<td >(*)</td>
 		  			</tr>
					<tr>
 		  				<td >type</td>
 		  				<td >NO</td>
 		  				<td >Transaction type</td>
 		  				<td >seismic_data_miniseed
            / seismic_metadata_dataless_seed (*)</td>
 		  			</tr>
					<tr>
 		  				<td >format</td>
 		  				<td >NO</td>
 		  				<td >Output format</td>
 		  				<td >text/json (json)</td>
 		  			</tr>
					<tr>
 		  				<td >transactionid</td>
 		  				<td >NO</td>
 		  				<td >Transaction ID</td>
 		  				<td > (-)</td>
 		  			</tr>
					<tr>
 		  				<td >erroron</td>
 		  				<td >NO</td>
 		  				<td >ID of the test causing the error</td>
 		  				<td > (-)</td>
 		  			</tr>
					<tr>
 		  				<td >level</td>
 		  				<td >NO</td>
 		  				<td >Detail level</td>
 		  				<td >transaction/file/content (transaction)</td>
 		  			</tr>
 		  		</tbody>
 		  	</table>

    <h3> HTTP status codes</h3>

    <p class="intro">Table below includes a list of codes status returned by the webservice. These codes should be used by end-users to check if a request was successful.</p>
        <table class="table2">
            <thead>
              <tr>
                <th>Code</th>
                <th>Description</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>200</td>
                <td>Successfull request, result follow</td>
              </tr>
              <tr>
                <td>201</td>
                <td>Request was properly formatted and submitted but no data match the selection</td>
              </tr>
              <tr>
                <td>400</td>
                <td>Bad request due to improper specification, unrecognized parameter, etc.</td>
              </tr>
              <tr>
                <td>203</td>
                <td>Request resulted in too much data being returned or the request itself is too large.</td>
              </tr>
              <tr>
                <td>500</td>
                <td>Internal Server Error.</td>
              </tr>
            </tbody>
          </table>    

  </div>
<br>
<h3> Examples</h3>
<ul>
  <li>Get all SISMOB transactions  since januray 2018 </li>
<a href="http://ws.resif.fr/resifsi/transaction/1/query?level=transaction&node=SISMOB&starttime=2018-01-01&format=text">
            http://ws.resif.fr/resifsi/transaction/1/query?level=transaction&node=SISMOB&starttime=2018-01-01&format=text</a>
<li> Get XML file of the transcation MWWA7190  </li>
 <a href="http://ws.resif.fr/resifsi/transaction/1/query?level=content&transactionid=MWWA7190">http://ws.resif.fr/resifsi/transaction/1/query?level=content&transactionid=MWWA7190</a>
<li>  Get the all information about transaction files MWWA7190  </li>
<a href="http://ws.resif.fr/resifsi/transaction/1/query?level=file&transactionid=MWWA7190&format=text">
    http://ws.resif.fr/resifsi/transaction/1/query?level=file&transactionid=MWWA7190&format=text</a>
<br>
</ul>
 <div>

      

  </div>
  <br>
</div>

</body>
</html>
